//
//  SARPProfile.m
//  Cube2Cube
//
//  Created by Zach Stegall on 9/18/13.
//  Copyright (c) 2013 Zach Stegall. All rights reserved.
//

#import "SARPProfile.h"
#import "SarpStore.h"
#import "SARP.h"

@interface SARPProfile ()

@end

@implementation SARPProfile

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
    
    [self.tableView setEditing:YES animated:YES];
    
    SarpStore *ss = [[SarpStore allocWithZone:Nil] init];
    SARP *name = [[ss allItems] objectAtIndex:0];

    self.profileName.text = [NSString stringWithFormat:@"%@ %@", [name firstName], [name lastName]];
}

- (void)addRow
{
    int lastRow = [[self tableView] numberOfRowsInSection:0];
    
    NSIndexPath *ip = [NSIndexPath indexPathForRow:lastRow inSection:0];
    
    [[self tableView] insertRowsAtIndexPaths:[NSArray arrayWithObject:ip] withRowAnimation:UITableViewRowAnimationTop];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
