//
//  SarpStore.h
//  Cube2Cube
//
//  Created by Zach Stegall on 9/12/13.
//  Copyright (c) 2013 Zach Stegall. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class SARP;

@interface SarpStore : NSObject
{
    NSMutableArray *allItems;
    NSManagedObjectContext *context;
    NSManagedObjectModel *model;
}

+ (SarpStore *)sharedStore;
- (void)loadAllItems;
- (NSArray *)allItems;
- (SARP *)createItem:(NSString *)first lastName:(NSString *)last;
- (void)addExperience:(NSString *)experience firstname:(NSString *)first lastName:(NSString *)last;

@end
