//
//  C2CAppDelegate.h
//  Cube2Cube
//
//  Created by Zach Stegall on 9/3/13.
//  Copyright (c) 2013 Zach Stegall. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface C2CAppDelegate : UIResponder <UIApplicationDelegate>

@property (strong, nonatomic) UIWindow *window;

@property (readonly, strong, nonatomic) NSManagedObjectContext *managedObjectContext;
@property (readonly, strong, nonatomic) NSManagedObjectModel *managedObjectModel;
@property (readonly, strong, nonatomic) NSPersistentStoreCoordinator *persistentStoreCoordinator;

- (void)saveContext;
- (NSURL *)applicationDocumentsDirectory;
- (void)applyStyleSheet;

@end
